; BLANK.SCE base de datos vaca para DAAD V2
;
; En esta base de datos se muestra una forma de adaptar el sistema del PAW y
; del DAAD V1 al del DAAD V2. Notese que las banderas que se decrementaban
; automticamente ya no lo hacen.
;
;
; En lugar de hacer un #include al fichero symbols.sce, como en la plantilla original,
; lo copipasteamos aqu mismo, con lo que todo el cdigo est autocontenido en un slo fichero,
; ideal para ser usado con el editor EAAD.
;
; DAAD Version 2 - System wide symbols
;
; General value symbols
;
#define NOTCREATED 252
#define TRUE 1
#define FALSE 0
;
; Attributes for system
;
#define WEARABLE  23            ;Current object is wearable
#define CONTAINER 31            ;Current object is a container
#define LISTED    55            ;Objects - listed by LISTOBJ etc
#define OA_CLIST  54            ; - continous list
#define OO_CLIST  64
#define TIMEOUT   87            ;If Timeout last frame
#define IA_RBUF   85            ;Input - recall buffer
#define IO_RBUF   32
#define IA_PINP   84            ; - reprint in stream
#define IO_PINP   16
#define IA_CSTR   83            ; - clear stream
#define IO_CSTR   8
#define IA_TAKEY  82            ; - timeout on any key
#define IO_TAKEY  4
#define IA_TMORE  81            ; - timeout on More...
#define IO_TMORE  2
#define IA_TSTAR  80            ; - timeout at start of input
#define IO_TSTAR  1
#define GMODE     247           ;Graphics - available
#define GA_MDRW   246           ; - Invisible draw (drawstring)
#define GO_MDRW   64
#define GA_POFF   245           ; - Pictures OFF (drawstring)
#define GO_POFF   32
#define GA_WKEY   244           ; - Wait after drawing (drawstring)
#define GO_WKEY   16
#define GA_CBOR   243           ; - Change BORDER (drawstring)
#define GO_CBOR   8
#define MOUSE     240           ;mouse available (!DRAW only)
;
#define O2      152     ; Offset of second object attributes
;
; System flags 0 - 63
;
#define Dark      0
#define NOCarr    1
#define Work1     2     ; These are system as we consider the stack such
#define Work2     3
#define Stack    24     ; A small stack (always 2 bytes pushed) 10 pushes
#define EMPTY    23     ; Stack can run from here
#define FULL      3     ; to here - There will be an internal one soon
#define O2Num    25     ; 1st free in system 64
#define O2Con    26     ; Object 2 is a container
#define O2Loc    27
#define DarkF    28
#define GFlags   29     ; This is best tested using HASAT GMODE
#define Score    30
#define Turns    31     ; 2 bytes
#define Verb     33
#define Noun1    34
#define Adject1  35
#define Adverb   36
#define MaxCarr  37
#define Player   38
#define O2Att    39     ; Using Flags 39 and 40 to contain attribs for other obj
#define InStream 41
#define Prompt   42
#define Prep     43
#define Noun2    44
#define Adject2  45
#define CPNoun   46
#define CPAdject 47
#define Time     48
#define TIFlags  49
#define DAObjNo  50
#define CONum    51
#define Strength 52
#define OFlags   53
#define COLoc    54
#define COWei    55
#define COCon    56
#define COWR     57
#define COAtt    58
#define Key1     60
#define Key2     61
#define ScMode   62     ; 2=Text, 4=CGA, 13=EGA, 141=VGA
#define CurWin   63     ; Which window is active at the moment
;
;Useful groups
#define Z80 SPE+MSX+CPC+PCW
#define M6502 CBM64
#define M68000 ST+AMIGA
#define I86 PC
;
;--------------------------------------------------------------
;
/CTL
; Seccin CTL. Su nica misin es establecer el caracter de control
; para la palabra nula.
_
/TOK
_____
_que_
a_de_
o_de_
_una_
_del_
s_de_
_de_l
_con_
ente_
_por_
_est
tiene
s_un_
ante_
_para
_las_
entra
n_el_
e_de_
a_la_
erior
cin_
ando_
iente
_el_
_la_
_de_
_con
_en_
los_
ado_
_se_
esta
_un_
las_
enta
_des
_al_
ada_
as_
es_
os_
_y_
ado
te_
ada
la_
ent
res
que
an_
o_p
rec
ido
s,_
ant
ina
ida
lar
ero
mpl
a_
o_
er
es
or
ar
al
en
as
os
e_
an
el
on
in
ci
un
._
co
re
di
,_
ur
tr
de
su
ab
ol
am
st
cu
s_
ac
il
gr
ad
te
y_
im
to
ue
pi
gu
ch
ca
la
n_
ro
ri
lo
mi
l_
ti
ob
me
si
pe
_n
tu
at
fi
do
em
ay
".
ll
;------------------------------------------------------------------------------
/VOC
; Seccin con el vocabulario del juego.
;
;                       Movimiento: verbos y nombres < 14
N       2       noun
NORTE   2       noun
S       3       noun
SUR     3       noun
E       4       noun
ESTE    4       noun
O       5       noun
OESTE   5       noun
NE      6       noun
NO      7       noun
SE      8       noun
SO      9       noun
AR      10      noun
ARRIBA  10      noun
SUBIR   10      verb
SUBE    10      verb
AB      11      noun
ABAJO   11      noun
BAJAR   11      verb
BAJA    11      verb
ENTRA   11      verb
DENTR   11      verb
SALIR   12      verb
SAL     12      verb
FUERA   12      noun
;                       Nombres <20 indica que se pueden usar como verbos
;                               <50 indica nombre propio (no admite lo, la...)
I       14      noun
INVEN   14      noun
TODO    20      noun
TODOS   20      noun
TODAS   20      noun
;
; Estos son los nombres que aadimos al vocabulario especficamente para este juego.
;
CRUCI   50      noun    ; CRUCIFIJO PLATEADO
CRUZ    50      noun
PLATE   50      noun    ;
CUCHI   51      noun    ; CUCHILLO
LLAVE   52      noun    ; LLAVECITA
MARTI   53      noun    ; MARTILLO
PALAN   54      noun    ; PALANCA
RISTR   55      noun    ; RISTRA DE AJOS
AJOS    55      noun    ;
AJO     55      noun    ;
TRAJE   56      noun    ; TRAJE BARATO
BARAT   56      noun    ;
TROZO   57      noun    ; TROZO DE MADERA
MADER   57      noun    ;
ADORN   58      noun    ; ADORNOS
ALTAR   59      noun    ; ALTAR
ARMAR   60      noun    ; ARMARIO
ROPER   61      noun    ; ARMARIO ROPERO
ATAUD   62      noun    ; ATAUD
FERET   62      noun    ;
BARRI   63      noun    ; BARRIL
CACER   64      noun    ; CACEROLAS, CACHARROS
CACHA   64      noun    ;       
CAMA    65      noun    ; CAMA
CHIME   66      noun    ; CHIMENEA
FREGA   67      noun    ; FREGADERO
HORNO   68      noun    ; HORNO
LIBRO   69      noun    ; LIBROS
MESA    70      noun    ; MESA DE CAOBA
CAOBA   70      noun    ;
RESTO   71      noun    ; RESTOS DE FUEGO
FUEGO   71      noun    ;
SABAN   72      noun    ; SABANAS
SILLA   73      noun    ; SILLA
TROFE   74      noun    ; TROFEOS
ESCAL   75      noun    ; ESCALERAS
ESTAC   76      noun    ; ESTACA
PUERT   77      noun    ; PUERTA
;
;                       Verbs
COGER   20      verb
COGE    20      verb
COGEL   20      verb
DEJAR   21      verb
DEJA    21      verb
DEJAL   21      verb
SOLTAR  21      verb
SUELT   21      verb
QUITA   22      verb
PONER   23      verb
PON     23      verb
PONTE   23      verb
R       24      verb
REDES   24      verb
MIRAR   24      verb
M       24      verb
F       25      verb
FIN     25      verb
SAVE    26      verb
LOAD    27      verb
RAMSA   28      verb
RAMLO   29      verb
EX      30      verb
EXAMI   30      verb
DECIR   31      verb
PREGUNT 31      verb
HABLAR  31      verb
ABRIR   32      verb
ABRE    32      verb
ABREL   32      verb
CERRA   33      verb
CIERR   33      verb
SENTA   34      verb
SIENT   34      verb
AFILA   35      verb
OLER    36      verb
HUELE   36      verb
COMER   37      verb
COME    37      verb
AYUDA   38      verb
INFO    38      verb
;
PEQUE   2       adjective
GRANDE  3       adjective
VIEJO   4       adjective
VIEJA   4       adjective
NUEVO   5       adjective
NUEVA   5       adjective
DURO    6       adjective
DURA    6       adjective
BLANDO  7       adjective
CORTO   8       adjective
CORTA   8       adjective
LARGO   9       adjective
LARGA   9       adjective
;                               Adverbios
RAPID   2       adverb
RPID   2       adverb
DESPA   3       adverb
LENTA   3       adverb
CUIDAd  5       adverb
;                               Prepositions
A       2       preposition
DE      3       preposition
EN      4       preposition
POR     5       preposition
TRAVES  5       preposition
BAJO    7       preposition
JUNTO   8       preposition
MENOS   13      preposition
;                               Pronouns
;                               Conjugations
Y       2       conjugation
ENTONCE 2       conjugation
LUEGO   2       conjugation
;
;------------------------------------------------------------------------------
/STX
; Seccin con las respuestas establecidas por defecto del sistema.
; Pueden modificarse y aadirse nuevas (hasta un total de 255)
;
/0
Est demasiado oscuro para ver nada.
/1
Tambien puedes ver:
/2

Qu haces ahora?
/3

Qu quieres hacer?
/4

Qu quieres que hacer ahora?
/5

Qu haces?
/6
No he entendido nada.

/7
No puedes ir en esa direccin.

/8
No puedes hacer eso.

/9
*LLEVAS:

/10
*LLEVAS PUESTO:

/11 ;*Libre
/12
Seguro?
/13
Quieres intentarlo de nuevo?
/14 ;*Libre
/15
Vale.

/16
Pulsa una tecla para continuar.

/17 ;*Has jugado
/18 ;*\sturno
/19 ;*s
/20 ;*.[CR]
/21 ;*Has resuelto un
/22 ;*%[CR]
/23
No llevas eso puesto.

/24
No puedes. Tienes puesto _.

/25
Ya tienes _.

/26
Aqu no hay nada de eso.

/27
No puedes llevar nada ms.

/28
No tienes eso.

/29
Ya llevas puesto _.

/30     ;Un solo caracter en maysculas. Inicial de S
S
/31     ;Un solo caracter en maysculas. Inicial de No
N
/32
Hay ms...
/33

>
/34 ;*Libre
/35

El tiempo pasa...

/36
Has cogido _.

/37
Te has puesto _.

/38
Te has quitado _.

/39
Has dejado _.

/40
No puedes ponerte _.

/41
No puedes quitarte _.

/42
No puedes quitarte _.  No puedes llevar nada ms en las manos.

/43
@ pesa demasiado para ti.

/44
@ est en
/45
@ no est en
/46
, 
/47
 y
/48
.

/49
No tienes _.

/50
No llevas puesto _.

/51
.

/52
No hay nada de eso en
/53
Nada.

/54 ;Inicial de Cinta
C
/55 ;Disco
D
/56
Unidad no preparada. Pulsa una tecla para volver a intentarlo.

/57
Error de entrada/salida.

/58
El disco o el directorio puede estar lleno.

/59
Nombre de fichero no vlido.

/60
Nombre del fichero:
/61
Pon en marcha la cinta.

/62
Cinta o disco?
;
;------------------------------------------------------------------------------
;
/MTX
; La seccin MTX incluye los distintos mensajes del juego.
; DAAD soporta hasta 255 mensajes (si caben en la memoria).
;
/0
Adornan.
/1
Es un altar de dura piedra. Encima de ste est el ataud.
/2
Est cerrado con llave.
/3
El armario est vaco.
/4
Una sencilla caja de pino.
/5
No puedes ver lo que hay dentro del barril porque est cerrado.
/6
Simples cacerolas y cacharros de cocina.
/7
Est cubierta de sbanas.
/8
Es una chimenea hecha de ladrillos y muy elegante.
/9
Es un fregadero de piedra. El fregadero est vaco.
/10
Un simple horno, no tiene ninguna importancia.
/11
Montones de libros, pero no tienes tiempo para leer ahora.
/12
Una mesa de caoba, bastante grande.
/13
Es un pequeo crucifijo plateado. Es uno de los cuatro elementos que te servirn para derrotar al vampiro.
/14
Un simple cuchillo de cocina. Pincha.
/15
Esta pequea llavecita tiene la pinta de abrir un armario o algo as.
/16
Un martillo grande. Es uno de los elementos que te permitirn acabar con el vampiro.
/17
Es una palanca de acero toledano. Sirve para forzar cosas.
/18
Es una ristra entera de ajos que expelen un olor un tanto asqueroso. Es uno de los cuatro elementos que te servirn para derrotar al vampiro.
/19
Es un traje barato comprado en las rebajas.
/20
Un trozo de madera, rectangular y alargado.
/21
No es momento de cargar con los libros, no hay tiempo para leerlos.
/22
Sbanas corrientes y molientes.
/23
Entre ellas encuentras una pequea llavecita.
/24
Al examinarlo se cae al suelo una ristra de ajos que estaba en su interior.
/25
Est cerrado.
/26
Abres el armario.
/27
Cierras el armario.
/28
Ya estaba abierto.
/29
Ya estaba cerrado.
/30
Usando la llave que encontraste, abres el armario.
/31
La vetusta puerta de madera est deformada por la humedad. No cierra bien.
/32
Insignificantes trofeos.
/33
No es momento de cargar con trofeos. Tienes una misin!
/34
Entre los restos del fuego encuentras un trozo de madera.
/35
Son los restos de algn fuego reciente.
/36
Te sientas en la silla, y despus del breve descanso te levantas otra vez.
/37
Abierto y vaco.
/38
-Clack!- Haciendo palanca logras abrir el barril, de cuyo interior se desliza un martillo.
/39
Intentas abrirlo, pero no tienes la suficiente fuerza.
/40
Al abrirlo con la palanca deformaste la tapa y ya no cierra bien.
/41
Unas conducen al piso inferior, otras al superior.
/42
Conducen al piso inferior.
/43
Conducen al piso superior.
/44
Un cacho de madera rectangular y alargado, uno de sus extremos est afilado cuidadosamente.
/45
Afilas la madera con el cuchillo y obtienes una estaca!
/46
Ya est bastante afilada.
/47
Abres el ataud. Dentro contemplas la horrible cara del vampiro. Protegido por los ajos y el crucifijo empiezas tu horrible tarea. Le clavas la estaca en el pecho y de un terrible golpe de martillo la hundes en lo ms profundo de su ser. Con un grito de
/48
 agona se deshace en polvo y t acabas tu misin aqu.



Por ahora...


/49
Finis.


/50
Necesitas cuatro cosas antes de poner fin a la ~vida~ del vampiro. A saber: un crucifijo, una ristra de ajos, una estaca afilada y un martillo.
/51
Puagh.
/52
Ni hablar, te dara halitosis.
/53
El objetivo del juego es encontrar el ataud del vampiro y abrirlo llevando los objetos necesarios para acabar con l.
/54
Abres el ataud. Dentro contemplas la horrible cara del vampiro. Protegido por los ajos y el crucifijo empiezas tu horrible tarea. Intentas clavar la madera con el martillo en el cuerpo del monstruo, pero el poco afilado palo se hace pedazos contra el fornidopecho de tu vctima.


/55
Ni pienses en salir de aqu sin haber completado tu misin.
/56
En ese momento, el vampiro abre los ojos...


/57
Con horror, ves como su boca se abre en una mueca que muestra sus brutales colmillos...


/58
Luego ya no ves nada, pero puedes notar los colmillos en tu cuello...


/59
Tu alma condenada se enfrenta a una eternidad marcada por la sed de sangre.


;
;       -       -       -       -       -       -       -       -       -
;
/OTX
; La seccin OTX incluye los textos con que se listan los objetos en la accin INVENTARIO,
; en las descripciones de localidad, o en cualquier uso del condacto LISTAT o LISTOBJ.
; El formato de los listados se puede cambiar con el flag 53 (ver manual).
; DAAD soporta hasta un mximo de 255 objetos (si la memoria disponible lo permite).
;
/0
Un crucifijo plateado.
/1
Un cuchillo.
/2
Una llavecita.
/3
Un martillo.
/4
Una palanca.
/5
Una ristra de ajos.
/6
Un traje barato.
/7
Un trozo de madera.
/8
Una estaca afilada.
;
;       -       -       -       -       -       -       -       -       -
;
/LTX
; La seccin LTX contiene la descripcin de cada localidad.
/0
; Segn la plantilla tradicional, la localidad 0 se corresponde con el texto inicial de presentacin del juego.
Despiertas aturdido. Despus de unos segundos te incorporas en el fro suelo de piedra y ves que ests en un castillo. Ahora recuerdas! Eres reXXe y tu misin es la de matar al vampiro. TIENES que matar al vampiro que vive en la parte superior del castillo...


-Memorias de reXXe-


(c) 1998 Jaume Alcazo Castellarnau.


Teclea AYUDA para ms informacin.


/1
BIBLIOTECA.

Te hallas en la biblioteca del castillo. Obviamente est llena de libros interesantes, pero desgraciadamente no tienes tiempo para leerlos.

Salidas visibles: oeste.
/2
COCINA.

Ests en la cocina del castillo. Esto est lleno de cacerolas y de cacharros para cocinar. Hay un horno, un fregadero y un armario pequeo.

Salidas visibles: este.
/3
DORMITORIO.

Ests en un dormitorio no muy grande ni tampoco muy pequeo. Es bastante austero. Slo hay una cama y un armario.

Salidas visibles: este.
/4
EL FINAL.

Ests en una habitacin desnuda. Unicamente hay un altar en el centro. Encima del altar puedes ver un ataud.

Salidas visibles: este.
/5
ESCALERAS

Te hallas en el final del pasillo. Delante de t ves unas escaleras que suben y otras que bajan. Al oeste est el dormitorio y al este la sala de estar.

Salidas visibles: sur, este, oeste, arriba, abajo.
/6
ESCALERAS SUPERIORES

Ests en el piso superior del castillo. Aqu hace an ms fro que abajo. Detrs de t estn las escaleras que bajan y hacia el oeste est la habitacin del vampiro.

Salidas visibles: oeste, abajo.
/7
PASILLO.

Te encuentras en medio del pasillo principal de este piso. Al oeste est la cocina y al este la biblioteca. El pasillo sigue hacia el norte.

Salidas visibles: norte, sur, este, oeste.
/8
SALA DE ESTAR.

Es la sala ms acogedora de todo el castillo. En la chimenea los ltimos restos de algn fuego chisporrotean alegremente. Hay una mesa grande con una silla al lado. De la pared cuelgan bastantes trofeos de caza y adornos varios.

Salidas visibles: oeste.
/9
SOTANO.

En este pequeo stano hace mucho calor, sientes una sensacin de recogimiento. Est todo muy sucio. Hay un barril aqu, tambin hay unas escaleras que suben.

Salidas visibles: arriba.
/10
VESTIBULO.

Ests en el vestbulo del castillo. El ambiente es muy hmedo y fro. Un pasillo se extiende hacia el norte. Al sur queda la puerta de entrada al castillo.

Salidas visibles: norte.
;
;------------------------------------------------------------------------------
;
/CON
; La seccin CON lista las conexiones de cada localidad
;
/0      ; Pantalla de presentacin, sin conexiones
;
/1      ; BIBLIOTRECA
O 7
;
/2      ; COCINA
; 
E 7
;
/3      ; DORMITORIO
E 5
;
/4      ; EL FINAL
E 6
;
/5      ; ESCALERAS
S 7
E 8
O 3
ARRIBA 6
ABAJO 9
;
/6      ; ESCALERAS SUPERIORES
O 4
ABAJO 5
;
/7      ; PASILLO
N 5
S 10
E 1
O 2
;
/8      ; SALA DE ESTAR
O 5
;
/9      ; SOTANO
ARRIBA 5
;
/10     ; VESTIBULO
N 7
;
;------------------------------------------------------------------------------
;
/OBJ
; Tabla de atributos de los objetos.
;
; Tradicionalmente no se usan atributos en los lenguajes de la "saga" Quill, PAWS, etc, siendo ms
; propios de lenguajes OOP (programacin orientada a objetos).
; Su soporte es una novedad de DAAD. Es ciertamente limitado (slo pueden leerse, no modificarse durante
; el juego) pero pueden dar mucho juego para, p. ej. dar un tratamiento distinto a los objetos reales de los de
; escenario, implementar los PSI como objetos y usar un atributo para diferenciarlos de los objetos inanimados, etc...
; En este caso, slo usamos el atributo "w" para indicar que el objeto 6 (traje) es una ropa que puede quitarse y ponerse.
;
;
;obj  starts           weight    c w  5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0    noun   adjective
;num    at
/0      1                1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    CRUCI  _
/1      2                1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    CUCHI  _
/2      NOTCREATED       1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    LLAVE  _
/3      NOTCREATED       1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    MARTI  _
/4      1                1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    PALAN  _
/5      NOTCREATED       1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    RISTR  _
/6      WORN             1       _ Y  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    TRAJE  _
/7      NOTCREATED       1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    TROZO  _
/8      NOTCREATED       1       _ _  _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _    ESTAC  _
;
;------------------------------------------------------------------------------
;
/PRO 0
; PROCESS 0.
; Es el comienzo del bucle del juego. Al empezar cada partida, DAAD comienza siempre ejecutando este proceso.
; Un autor principiante, en principio, no debera cambiar gran cosa en los procesos 0, 1, y 2 y dejarlos tal cual vienen
; en la plantilla por defecto del DAAD (ya tendr tiempo de hacer experimentos cuando comprenda bien el funcionamiento).
; Si acaso, s procede que haga cambios puntuales en el proceso 6 (que por convenio se dedica a la inicializacin de la partida)
; con datos especficos de su aventura.
;
_       _       AT      0
                PROCESS 6

_       _       WINDOW  0
                CLEAR   DarkF
                NOTZERO 0
                ABSENT  0
                SET     DarkF

_       _       PICTURE [Player]
                DISPLAY [DarkF]
  
_       _       WINDOW  1
                NOTZERO DarkF
                SYSMESS 0

_       _       ZERO    DarkF
                DESC    [Player]

_       _       PROCESS 3

_       _       PROCESS 1

/PRO 1
; PROCESS 1.
; Llamado desde PRO 0, forma parte del bucle de turnos del juego
;
_       _       PROCESS 4

_       _       PARSE   0
                PROCESS 2
                REDO

_       _       EQ      Turns   255
                PLUS    Turns+1 1
                CLEAR   Turns
                SKIP    1

_       _       PLUS    Turns   1

_       _       PROCESS 5
                ISDONE
                REDO

_       _       MOVE    Player
                RESTART

_       _       NEWTEXT
                LT      Verb    14
                SYSMESS 7
                REDO

_       _       SYSMESS 8
                REDO

/PRO 2
; PROCESS 2.
; Llamado desde PRO 1.
;
_       _       HASAT TIMEOUT
                SYSMESS 35
                DONE

_       _       SYSMESS 6


/PRO 3
; PRO 3 equivale al antiguo PROCESS 1 de Quill/PAW.
; Se ejecuta llamado desde PRO 0 despus de imprimir el texto con la descripcin de la
; localidad actual. En la plantilla por defecto se incluye el cdigo que imprime el listado
; de objetos presentes (siempre que no estemos sin luz).

_       _       NEWLINE
                ZERO    DarkF
                LISTOBJ

/PRO 4
; PRO 4 equivale al antiguo PROCESS 2 de Quill/PAW.
; Se llama desde PRO 1 al final de cada turno, es decir, justo antes de que se le
; pida al jugador introducir la siguiente orden.
;

/PRO 5
; PRO 5 es el equivalente a la Tabla de Respuestas en Quill/PAW

; BANDERAS USADAS EN "VAMPIRO"
;
; Todas comienzan el juego a 0 y se ponen a 255 (mediante el condacto SET) para indicar ciertos cambios de estado.
;
; *100 -0    No ha aparecido an la llave.
;      -255  S lo ha hecho.
;
; *101 -0    El armario de la cocina est cerrado con llave.
;      -255  Ya ha sido abierto.
;
; *102 -0    El armario de la cocina est cerrado (con llave o sin ella).
;      -255  Est abierto.
;
; *103 -0    No ha aparecido an el trozo de madera.
;      -255  S lo ha hecho.
;
; *104 -0    No ha aparecido an el martillo.
;      -255  S lo ha hecho.

; Es imposible comentar a fondo todas las entradas, por lo que se han seleccionado las correspondientes a
; EXAMI RESTO para comentar pormenorizadamente lo que hacen.

; Entradas correspondientes a la orden EXAMINAR aplicada a objetos del escenario.
; Estn agrupadas juntas para mayor claridad, aunque so es arbitrario.

EXAMI   ADORN   AT 8
                MESSAGE 0
                
EXAMI   ALTAR   AT 4
                MESSAGE 1

EXAMI   ATAUD   AT 4
                MESSAGE 4

EXAMI   CACER   AT 2
                MESSAGE 6
                
EXAMI   CAMA    AT 3
                MESSAGE 7

EXAMI   CHIME   AT 8
                MESSAGE 8

EXAMI   ESCAL   AT 5
                MESSAGE 41

EXAMI   ESCAL   AT 6
                MESSAGE 42

EXAMI   ESCAL   AT 9
                MESSAGE 43
                
EXAMI   FREGA   AT 2
                MESSAGE 9
                
EXAMI   HORNO   AT 2
                MESSAGE 10
                
EXAMI   LIBRO   AT 1
                MESSAGE 11
                
EXAMI   MESA    AT 8
                MESSAGE 12

EXAMI   PUERT   AT 10
                MESSAGE 55

EXAMI   TROFE   AT 8
                MESSAGE 32

; Entradas para la orden EXAMINAR aplicada a objetos implementados como tales.
; (definidos en las secciones OTX y OBJ)

EXAMI   CRUCI   PRESENT 0
                MESSAGE 13

EXAMI   CUCHI   PRESENT 1
                MESSAGE 14

EXAMI   ESTAC   PRESENT 8
                MESSAGE 44

EXAMI   LLAVE   PRESENT 2
                MESSAGE 15

EXAMI   MARTI   PRESENT 3
                MESSAGE 16

EXAMI   PALAN   PRESENT 4
                MESSAGE 17

EXAMI   RISTR   PRESENT 5
                MESSAGE 18

EXAMI   TRAJE   PRESENT 6
                MESSAGE 19

EXAMI   TROZO   PRESENT 7
                MESSAGE 20

; Entradas para EXAMINAR que conllevan algo ms de complejidad por requerir comprobaciones adicionales.
; De nuevo, estn agrupadas por motivos de claridad, aunque so sea arbitrario.

EXAMI   ARMAR   AT 3
                MESSAGE 3

EXAMI   ARMAR   AT 2
                ZERO 101
                MESSAGE 2
                DONE

EXAMI   ARMAR   AT 2
                NOTZERO 102
                ISAT 5 NOTCREATED
                CREATE 5
                MESSAGE 24
                DONE

EXAMI   ARMAR   AT 2
                NOTZERO 102
                MESSAGE 3
                DONE

EXAMI   ARMAR   AT 2
                MESSAGE 25

EXAMI   BARRI   AT 9
                ZERO 104
                MESSAGE 5
                DONE

EXAMI   BARRI   AT 9
                MESSAGE 37

EXAMI   SABAN   AT 3
                ZERO 100
                SET 100
                CREATE 2
                MESSAGE 23
                DONE

EXAMI   SABAN   AT 3
                MESSAGE 22

; Comantario sobre las entradas de EXAMINAR RESTOS ( o FUEGO)
;
; En la primera, se chequea en primer lugar que estemos en la localidad de la hoguera
; (la sala de estar, localidad 8)
;
; Luego se consulta el flag 103.
;
; Si ste est a cero quiere decir que el trozo de madera no ha aparecido todava, y por tanto se continua la entrada.
; En ese caso, se hace aparecer el objeto 7 (el trozo de madera) en la localidad actual (condacto CREATE) y se pone a 255
; el flag 103 (condacto SET) para que al cambiar su estado la condicin de que est a cero ya no se cumpla en sucesivos
; turnos y en ellos se salte esta entrada yendo directamente a la siguiente. Se informa de la aparicin de la madera con el
; mensaje 34 y se sale del todo del PROCESS 5 con el condacto DONE, para evitar caer en la siguiente entrada y ahorrarse comprobar
; el resto de la tabla.
;
; Si 103 ya no era cero porque la madera ya haba aparecido en algn turno anterior, se pasa directamente
; a la segunda entrada de EXAMI RESTO, en la que, siempre que estemos en la localidad 8, simplemente se da una descripcin comn
; del fuego sin hacer nada ms (mensaje 35).
;
; El objetivo de toda la maniobra es hacer que la primera vez que examinas el fuego aparezca la madera y a su vez tambin asegurarse
; de que si vuelves a examinar el fuego posteriormente la madera no vuelva a aparecer (lo que sera una inconsistencia en el mundo
; del juego).

EXAMI   RESTO   AT 8
                ZERO 103
                SET 103
                CREATE 7
                MESSAGE 34
                DONE

EXAMI   RESTO   AT 8
                MESSAGE 35

; Entradas para la orden ABRIR.

ABRIR   ARMAR   AT 3
                MESSAGE 28

ABRIR   ARMAR   AT 2
                ZERO 101
                NOTCARR 2
                MESSAGE 2
                DONE

ABRIR   ARMAR   AT 2
                ZERO 101
                SET 101
                SET 102
                MESSAGE 30
                DONE

ABRIR   ARMAR   AT 2
                NOTZERO 102
                MESSAGE 28
                DONE

ABRIR   ARMAR   AT 2
                SET 102
                MESSAGE 26

; Las entradas para ABRIR ATAUD incluyen un final alternativo creado expresamente para este port
; de Vampiro. Si abres el ataud pero llevas la madera sin afilar... el vampiro te mata.

ABRIR   ATAUD   AT 4
                CARRIED 0       ; crucifijo
                CARRIED 3       ; martillo
                CARRIED 5       ; ajos
                CARRIED 7       ; madera (sin afilar)
                CLS
                MESSAGE 54      ; MensajeS del final malo.
                ANYKEY
                MESSAGE 56
                ANYKEY
                MESSAGE 57
                ANYKEY
                MESSAGE 58
                ANYKEY
                MESSAGE 59
                TAB 10
                MESSAGE 49
                END

ABRIR   ATAUD   AT 4
                CARRIED 0       ; crucifijo
                CARRIED 3       ; martillo
                CARRIED 5       ; ajos
                CARRIED 8       ; estaca
                CLS
                MES 47          ; Mensajes del final bueno.
                MESSAGE 48
                TAB 10
                MESSAGE 49
                END

ABRIR   ATAUD   AT 4
                MESSAGE 50

ABRIR   BARRI   AT 9
                ZERO 104
                CARRIED 4
                SET 104
                CREATE 3
                MESSAGE 38
                DONE

ABRIR   BARRI   AT 9
                ZERO 104
                MESSAGE 39
                DONE

ABRIR   BARRI   AT 9
                MESSAGE 28

ABRIR   PUERT   AT 10
                MESSAGE 55

; AFILAR
;
; Para simplificar el juego, basta con teclear "AFILAR MADERA" llevando el cuchillo
; para que la accin tenga xito. Se podra, con todo, hacer que sea necesario especificar
; en la rden "AFILAR MADERA CON CUCHILLO" (que es una prctica extendida aunque discutible).
; Aadimos una entrada comentada ilustrando cmo se hara:
;
;AFILA   TROZO   NOUN2 CUCHI
;                PRESENT 7
;                CARRIED 1
;                SWAP 7 8
;                MESSAGE 45
;                DONE
;
; Simplemente se le ha aadido una condicin NOUN2 con la palabra "CUCHILLO"
; (la palabra, no el nmero del objeto cuchillo)
;
; Ms curiosidades sobre "AFILAR":
; Si usas AFILAR en modo imperativo "AFILA" DAAD lo entender, ya que "AFILA" son las 5 primeras
; letras de "AFILAR". Pero probablemente los resultados parezcan contradictorios. A veces funciona y
; a veces no, dando la respuesta "No puedes hacer eso". El problema viene de que al acabar la palabra
; "AFILA" en "-LA" DAAD interpreta que se trata de un verbo acabado en un pronombre (como en COGELO o COGELA)
; y activa el mecanismo por el que aplica la orden al objeto de la orden anterior.
; Este comportamiento est programado en el nucleo del intrprete y en principio no hay manera de evitarlo desde
; el cdigo del juego.

AFILA   TROZO   PRESENT 7
                CARRIED 1
                SWAP 7 8
                MESSAGE 45
                DONE

AFILA   ESTAC   PRESENT 8
                MESSAGE 46

; CERRAR

CERRA   ARMAR   AT 3
                MESSAGE 31

CERRA   ARMAR   AT 2
                ZERO 102
                MESSAGE 29
                DONE

CERRA   ARMAR   AT 2
                CLEAR 102
                MESSAGE 27

CERRA   BARRI   AT 9
                ZERO 104
                MESSAGE 29
                DONE

CERRA   BARRI   AT 9
                MESSAGE 40

; Entradas para la orden COGER.
; En nuestro juego estn mayormente para bloquear el posible intento por parte del jugador de
; coger objetos de escenario, como los libros o los trofeos, con frases ms
; coherentes que el manido "No puedes hacer eso".

COGER   LIBRO   AT 1
                MESSAGE 21
                DONE

COGER   TROFE   AT 8
                MESSAGE 33
                DONE

; Otros

AYUDA   _       MESSAGE 53
                MESSAGE 50

COMER   RISTR   PRESENT 5
                MESSAGE 52

OLER    RISTR   PRESENT 5
                MESSAGE 51

S       _       AT 10
                MESSAGE 55

SALIR   _       AT 10
                MESSAGE 55

SENTA   _       AT 8
                MESSAGE 36

; Las siguientes son las entradas que aparecen en la plantilla por defecto que viene con el DAAD.
; Aunque no sea 100% obligatorio, se recomimenda dejarlas siempre las ltimas para que "recogan"
; acciones que no hayan sido tratadas previamente en la tabla.

I       _       SYSMESS 9
                LISTAT  CARRIED
                SYSMESS 10
                LISTAT  WORN
                DONE

COGER   TODO    DOALL   HERE
COGER   _       AUTOG
                DONE

DEJAR   TODO    DOALL   CARRIED
DEJAR   _       AUTOD
                DONE

QUITAR  TODO    DOALL   WORN
QUITAR  _       AUTOR
                DONE

PONER   TODO    DOALL   CARRIED
PONER   _       AUTOW
                DONE

R       _       RESTART

FIN     _       QUIT
                END

FIN     _       DONE

SAVE    _       SAVE    0
                RESTART

LOAD    _       LOAD    0
                RESTART

RAMSA   _       RAMSAVE
                RESTART

RAMLO   _       RAMLOAD 255
                RESTART

MIRAR   _       RESTART

/PRO 6
; PRO 6 es llamado desde PRO 0 cuando la localidad es la 0, o sea, al inicio (o reinicio) de cada juego

_       _       WINDOW  1
;                WINAT   14       0
; Cambiamos la psicin de la ventana 1 (la de texto) del 14,0 de la plantilla original a 0,0
; ya que no vamos a usar grficos y no necesitamos dejar un hueco de media pantalla
; para ellos
                WINAT   0       0
                WINSIZE 25      127
                CLS
                DESC    0
                ANYKEY
                CLS
                CLEAR   255

_       _       NOTEQ   255     GFlags
                CLEAR   [255]

_       _       PLUS    255     1
                LT      255     255
;                SKIP    -1
; Corregido bug de la plantilla original durante el reseteo de flags.
; Lo correcto es hacer SKIP -2 en lugar de -1
		SKIP	-2

_       _       RESET
                LET     Strength 10
                LET     MaxCarr  4
                SET     CPNoun
                SET     CPAdject
;                GOTO    1
; Cambiamos el GOTO 1 de la plantilla original por GOTO 10, ya que la 10 , el VESTIBULO, es la localidad de inicio
; de nuestro juego
_       _       GOTO 10
